# Use Cases

This directory provides examples for specific use cases of this library. Please [open an issue](https://github.com/sendgrid/sendgrid-python/issues) or make a pull request for any use cases you would like us to document here. Thank you!

## Table of Contents

### Common Use Cases
* [Send a Single Email to a Single Recipient](send_a_single_email_to_a_single_recipient.md)
* [Send a Single Email to Multiple Recipients](send_a_single_email_to_multiple_recipients.md)
* [Send Multiple Emails to Multiple Recipients](send_multiple_emails_to_multiple_recipients.md)
* [Kitchen Sink - an example with all settings used](kitchen_sink.md)
* [Transactional Templates](transactional_templates.md)
* [Attachments](attachment.md)

### Working with Email
* [Asynchronous Mail Send](asynchronous_mail_send.md)
* [Sending HTML-Only Content](sending_html_content.md)
* [Integrate with Slack Events API](slack_event_api_integration.md)
* [Legacy Templates](legacy_templates.md)

# Twilio Use Cases
* [Twilio Setup](twilio-setup.md)
* [Send an Email With Twilio Email (Pilot)](twilio-email.md)
* [Send an SMS Message](sms.md)

### Troubleshooting
* [Error Handling](error_handling.md)

### How-Tos
* [How to Create a Django app, Deployed on Heroku, to Send Email with Twilio SendGrid](django.md)
* [How to Deploy A Simple Hello Email App on AWS](aws.md)
* [How to Deploy a simple Flask app, to send Email with Twilio SendGrid, on Heroku](flask_heroku.md)
* [How to Setup a Domain Authentication](domain_authentication.md)
* [How to View Email Statistics](email_stats.md)
